MooseX::Getopt::Usage::Pod::Text(3)

NAME
MooseX::Getopt::Usage::Pod::Text - pod2text duties for MooseX::Getopt::Usage.

SYNOPSIS
 use MooseX::Getopt::Usage::Pod::Text;
 my $parser = MooseX::Getopt::Usage::Pod::Text->new();
 my $out;
 $parser->output_string(\$out);
 $parser->parse_string_document($pod);
 say $out;

DESCRIPTION
A subclass of Pod::Text to tweak the output to make a nice usage message. Does the following.

Lower cases headings (keeping first letter cap).
Adds a colon on the end of headings.
Changes SYNOPSIS head1 to USAGE.
Optionally strips out headings.

METHODS

  new
Override constructor to add our own "headings" and "opt_indent" options.

  heading
Lower casing and colon. Strip headings.

  cmd_head1
Change SYNOPSIS to USAGE.

SEE ALSO
MooseX::Getopt::Usage, MooseX::Getopt::Usage::Formatter, perl.

BUGS
All complex software has bugs lurking in it, and this module is no exception. See "BUGS" in MooseX::Getopt::Usage for details of how to report bugs.

ACKNOWLEDGEMENTS
Thanks to Pod::Usage for the lower casing headings regexp. Based on Russ Allbery's Pod::Text:Color prototype code.

AUTHOR
Mark Pitchless, "<markpitchless at gmail.com>"

COPYRIGHT
Copyright 2012 Mark Pitchless

LICENSE
This program is free software; you can redistribute it and/or modify it under the terms of either: the GNU General Public License as published by the Free Software Foundation; or the Artistic License.

See http://dev.perl.org/licenses/ for more information.